DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# GaussFT

Gaussian Filter through the Fourier Domain

## SYNOPSIS

`#include "dip_linear.h"`

dip_Error dip_GaussFT ( in, out, sigmas, order, truncation )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Fourier Domain implementation of a Gaussian convolution filter and Gaussian derivative convolution filters. The Gaussian kernel in the Fourier Domain is cut off at the equivalent of `truncation` times `sigmas`. If `truncation` is smaller or equal to 0, it is cut off where the argument to `exp` is smaller than -50, as in `FTGaussian`.

The `order` parameter may be zero, in which case no derivatives are taken.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_FloatArray` | `sigmas` | Sigma of Gaussian
`dip_IntegerArray` | `order (0)` | Order of Derivative along each dimension
`dip_float` | `truncation` | Truncation of Gaussian kernel, see `GlobalGaussianTruncationGet`

## SEE ALSO

See sections 9.4, "Smoothing operations", and 9.5, "Derivative-based operations", in Fundamentals of Image Processing.

General information about convolution

`Gauss`, `GaussIIR`, `Derivative`